Roots Discourse

Composer sage install doesn't ask for dependencies

composer

#1

after running the command: composer create-project roots/sage ssafd-theme. I expected the following output, as shown in “Theme Development with Sage”:

This is what I actually got:

The “Theme Development with Sage” also outlines:

You’ll want to confirm Yes when asked about removing the existing git history. Afterwards, you’ll be prompted to update
values for the theme headers in style.css:

  • Theme name
  • Theme URI
  • Theme description
  • Theme version
  • Theme author and URI

None of that happened. The theme installed, but no dependencies were included, and style.css was default. What am I doing wrong?


#2

This is a known issue w/ Windows. There are several threads on the forum with solutions, such as this one: No option prompts for composer sage install - on windows


#3

I saw that, wasn’t performing for me:

That file path doesn’t exist for me.


#4

Sorry, I didn’t look closely enough at your initial image:
image
It looks like you may have a old version of PHP, which will cause the installer to fall back to Sage 8 (see this thread: Can’t install Sage with composer create-project due to php version error)


#5

@alwaysblank

Oh I see! However, seems like that solution is mac specific?


#6

The specific solution in that thread is specific to installing PHP on a Mac, yes, but the solution to your problem is probably to update your PHP installation. How you do that is going to depend on your environment and how PHP is installed.